val print_z :
  (unit -> (unit -> unit) -> (unit -> unit) -> ('z -> unit) ->
   ('z -> unit) -> ('z -> unit) -> 'z -> unit) ->
  (unit -> (unit -> int) -> (unit -> int) -> ('z -> int) ->
   ('z -> int) -> ('z -> int) -> 'z -> int) ->
  (('z -> 'z -> unit) -> 'z -> unit) -> 'z -> unit

val z_of_string :
  'z -> 'z -> ('z -> 'z) -> ('z -> 'z) -> ('z -> 'z -> 'z) ->
  ('z -> 'z -> 'z) -> ('z -> 'z) -> string -> 'z

val array_to_list : ('a -> 'l -> 'l) -> 'l -> 'a array -> 'l

val input_to_string : unit -> string

val native_to_string : 'z -> 'z -> ('z -> 'z) -> ('z -> 'z) ->
  ('z -> 's -> 's) -> 's -> string -> 's

val output_char : int -> bool

val flush_stdout : unit -> unit
